<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Floating elements</title>
    <style>
        * {
            font-family: Calibri;
            margin: 0;
            padding: 0;
        }

        #div-1 {
            width: 200px;
            height: 300px;
            background: dodgerblue;
            float: right;
        }

        #div-2 {
            background: darkorchid;
            width: 200px;
            height: 200px;
            float: left;
        }

        #text-div {
            border: 5px solid salmon;
        }

        /* #clear-div {
            clear: both;
        } */

        #float-container::after {
            content: "";
            display: block;
            clear: both;
        }
    </style>
</head>

<body>
    <div id="float-container">
        <div id="div-1"></div>
        <div id="div-2"></div>
    </div>
    <!-- <div id="clear-div"></div> -->
    <div id="text-div">
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Veritatis hic vitae adipisci aliquam dolor. Aperiam
        explicabo laboriosam odit delectus. Velit ipsam laudantium quam nesciunt labore, alias quaerat quod et tenetur?
        Lorem ipsum dolor, sit amet consectetur adipisicing elit. A placeat modi exercitationem atque corporis facere
        voluptatem voluptates expedita molestiae dolore natus aspernatur doloremque neque ea in quod, hic ad explicabo.
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Vero dolor asperiores laudantium assumenda expedita
        accusamus explicabo labore praesentium doloremque! Repellat sunt natus aliquam aspernatur neque ipsum itaque
        maxime molestiae possimus.
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quisquam voluptas fuga, et praesentium illo magnam
        nisi hic doloribus sequi, qui, harum iste sint quis minima. Eligendi voluptatem quibusdam ut voluptatibus?
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Ea esse voluptates, quos veritatis magnam nihil culpa
        vitae atque ducimus architecto accusamus impedit iste natus? Pariatur, illum? Perferendis minus tempora hic?
    </div>
</body>

</html>